This is documentation of an archived release.
For documentation on the current version, please check Knowledge Base.

Requirements for Orbit Flash Viewer and Plugins

This page describes the requirements of the legacy Orbit Flash Viewer and Plugins for Mobile and Oblique Mapping available for on-premises Orbit 3DM Publisher only.
For Html5 3D Mapping Viewer and Plugins, see Requirements for Orbit 3D Mapping Viewer and Plugins

Generic Requirements

Online Connectivity

Orbit Plugins require online connectivity to the Orbit License Service to be activated, see Orbit Online License Activation.
Orbit Flash WebClient does not require online connectivity. These WebClients need access to a Publisher only.

Graphics Card

Orbit Flash WebClient will use 3D graphics card if available. If no GPU is available, 3D renders will be processed by CPU.

3D graphics cards are embedded in most contemporary computers, but unfortunately, virtual environments (like Citrix, Virtualbox, VMWare, etc.) are still struggling to incorporate 3D hardware and may thus cause the Web Client to be slower.
Orbit developed a dedicated software render technique to optimize the use of the Flash Web Client on virtual environments.

Orbit Publisher for Orbit WebClient

The WebClients require connection to an Orbit Publishers to load a Publication.
A Publication is a well-defined combination of Geo, Mobile Mapping and Oblique resources prepared by an administrator and shared via an Orbit Publisher.

Specific Requirements

Orbit Flash Viewer for Mobile and Oblique Mapping

The Orbit Flash WebClient is our legacy WebClient Component. We will maintain this WebClient for a few more years.

  • Browser : Recent version of Chrome, Edge, Firefox, Internet Explorer and Safari.
  • Flash Player : Adobe Flash Player (Version 11.1 released October 2011 or higher)

Notes :

  • Google Chrome.
    Use of Flash must be enabled, else an empty page is opened upon accessing an Orbit Publication.
    Enable Flash via the your webpage connection options : Click the icon left from the url and set the option “Flash” from “Ask (default)” to “Always allow on this site”.
  • Microsoft Edge or Internet Explorer, use of Https on port different from port 80 or 443.
    The default Windows Internet Options (Internet Properties) will block the Publication. Add the Publisher Server as Trusted Site to open any Publication from the “Trusted” Publisher.
  • Microsft Edge, use of Http.
    Windows blocks Flash applications when using insecure Http connection. Edge requres use of secured Https connection to run the Flash WebViewer.

Orbit Mobile Mapping for ArcGIS

  • Esri ArcGIS Desktop : The Orbit Plugin 11.2 has been tested successfully in combination with ArcGIS 10.1, 10.2 10.3, 10.4 and 10.5. For ArcGis installations using different national language packages it can be necessary to update to the latest version of ArcGis. For example, to use the plugin in ArcGis with the German Language Pack, ArcGis version 11.5 is required.
  • Operating System : Windows 7, 8 (8.1 is not supported) and 10.
  • Flash Player : FP 24 for NPAPI or higher, download https://get.adobe.com/flashplayer/otherversions/
  • Memory : +-500 MB RAM

Orbit Mobile Mapping for AutoCAD

Orbit Mobile Mapping For QGIS

 
Last modified:: 2020/11/06 19:15